#pragma once

#include <fstream>
#include <string>
#include <vector>

#include <SimoxUtility/json.h>

#include "datatypes/CommonPlace.h"

namespace armarx::priorknowledge::util
{
    class CommonPlaceLoader
    {
    public:
        static const constexpr auto DEFAULT_FILE_NAME = "common_places.json";

        CommonPlaceLoader() = delete;

        static std::vector<CommonPlace> LoadCommonPlaces(const std::string& source,
                                                         const nlohmann::json&);
    };
} // namespace armarx::priorknowledge::util
