#pragma once

#include <memory>

#include <boost/thread/concurrent_queues/sync_queue.hpp>

#include <RobotAPI/libraries/armem/core/Time.h>
#include <RobotAPI/libraries/aron/core/data/variant/container/Dict.h>

namespace armarx::armem::server::robot_state::proprioception
{

    struct RobotUnitData
    {
        Time timestamp;
        Time timestampArrived;
        aron::data::DictPtr proprioception;
        aron::data::DictPtr exteroception;
    };

    using Queue = boost::sync_queue<RobotUnitData>;
} // namespace armarx::armem::server::robot_state::proprioception
