#pragma once

#include <QTreeWidgetItem>
#include <QWidget>

namespace armarx::skills::gui
{

    class CustomWidget : public QWidget
    {
        Q_OBJECT

    public:
        CustomWidget(QTreeWidgetItem* overlayingItem);
        static CustomWidget* DynamicCast(QWidget*);
        static CustomWidget* DynamicCastAndCheck(QWidget*);

        virtual void setSupressSignals(bool doSupress);

    protected:
        QTreeWidgetItem* overlayingItem;

    signals:
        void elemChanged(QTreeWidgetItem* elem, int col);
    };
} // namespace armarx::skills::gui
