#pragma once

#include <RobotAPI/libraries/armem_objects/aron/ObjectClass.aron.generated.h>
#include <RobotAPI/libraries/armem_objects/aron/ObjectInstance.aron.generated.h>
#include <RobotAPI/libraries/armem_robot_state/types.h>

namespace armarx::armem::robot_state::description
{
    void fromAron(const arondto::ObjectClass& dto, RobotDescription& bo);
    void toAron(arondto::ObjectClass& dto, const RobotDescription& bo);
} // namespace armarx::armem::robot_state::description

namespace armarx::armem::robot_state
{

    void fromAron(const arondto::ObjectInstance& dto, RobotState& bo);
    void toAron(arondto::ObjectInstance& dto, const RobotState& bo);

    void fromAron(const objpose::arondto::ObjectPose& dto, RobotState& bo);
    void toAron(objpose::arondto::ObjectPose& dto, const RobotState& bo);
} // namespace armarx::armem::robot_state
