#include "RobotReadingSkillMixin.h"

namespace armarx::skills::mixin
{

    RobotReadingSkillMixin::RobotReadingSkillMixin() = default;

    RobotReadingSkillMixin::RobotReadingSkillMixin(
        const armem::robot_state::VirtualRobotReader& r) :
        robotReader(r)
    {
    }

    SpecificRobotReadingSkillMixin::SpecificRobotReadingSkillMixin(
        const std::string& rn,
        const armem::robot_state::VirtualRobotReader& r) :
        robotName(rn), robotReader(r)
    {
    }

} // namespace armarx::skills::mixin
