#pragma once

#include <QDialog>

#include "RobotAPI/libraries/skills_gui/int_long/ui_AronTreeWidgetIntInputModal.h"

#include "../AronTreeWidgetModal.h"

namespace armarx::skills::gui
{
    class AronTreeWidgetIntInputModalController : public AronTreeWidgetModal
    {

    public:
        AronTreeWidgetIntInputModalController(const std::string& label,
                                              AronTreeWidgetItem* item,
                                              QTreeWidget* parent);

    private slots:

        void submit() final;
        void reset() final;

    private:
        Ui::AronTreeWidgetIntInputModalWidget widget;
    };
} // namespace armarx::skills::gui
