#pragma once

#include <QTreeWidgetItem>
#include "RobotAPI/libraries/skills/core/SkillID.h"



namespace armarx::skills::gui
{
    class SkillTreeWidgetItem : public QTreeWidgetItem
    {
    public:
        SkillTreeWidgetItem(const skills::SkillID& desc, QTreeWidgetItem* parent) :
            QTreeWidgetItem(parent), skillId(desc)
        {
        }

        SkillTreeWidgetItem(const skills::SkillID& desc, QTreeWidget* parent) :
            QTreeWidgetItem(parent), skillId(desc)
        {
        }

        skills::SkillID skillId;
    };
}

